Connections
Get a connection
Retrieves the specified connection and its configuration details without including credential values.
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Parametri del percorso
name
string
necessario
The friendly name of the connection, provided by the user.
Parametri di intestazione
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Risposte
The request has succeeded.
Intestazioni
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Corpo
name
string
necessario
The friendly name of the connection, provided by the user.
id
string
necessario
A unique identifier for the connection, generated by the service
type
string | enum
necessario
The Type (or category) of the connection
enum
target
string
necessario
The connection URL to be used for this service
isDefault
boolean
necessario
Whether the connection is tagged as the default connection of its type
credentials
ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview
necessario
A base class for connection credentials
ApiKey
ApiKeyCredentials
API Key Credential definition
type
enum
necessario
The credential type
key
string
API Key
AAD
EntraIDCredentials
Entra ID credential definition
type
enum
necessario
The credential type
CustomKeys
CustomCredential
Custom credential definition
type
enum
necessario
The credential type
SAS
SASCredentials
Shared Access Signature (SAS) credential definition
type
enum
necessario
The credential type
SAS
string
SAS token
None
NoAuthenticationCredentials
Credentials that do not require authentication
type
enum
necessario
The credential type
AgenticIdentityToken_Preview
AgenticIdentityPreviewCredentials
Agentic identity credential definition
type
enum
necessario
The credential type
metadata
object
necessario
Metadata of the connection
Richiedi
GET /connections/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json